package dev.kske.chess.piece;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>King.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class King extends Piece {

	public King(Color color) {
		super(color);
	}

	@Override
	public boolean isValidMove(int xPos, int yPos, int xDest, int yDest) {
		return Math.abs(xDest - xPos) <= 1 && Math.abs(yDest - yPos) <= 1;
	}

	@Override
	public Type getType() { return Type.KING; }
}
