package dev.kske.chess.piece;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Rook.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Rook extends Piece {

	public Rook(Color color) {
		super(color);
	}

	@Override
	public boolean isValidMove(int xPos, int yPos, int xDest, int yDest) {
		return xPos == xDest || yPos == yDest;
	}

	@Override
	public Type getType() { return Type.ROOK; }
}
